Bug 200236 - Review Request: kdeaddons: K Desktop Environment - Plugins
Review Request: kdeaddons: K Desktop Environment - Plugins
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On: 194374
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 09:54 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 08:38:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gauret: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-07-26 09:54:35 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeaddons.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdeaddons-3.5.4-1.src.rpm
Description:
Plugins for some KDE applications that extend the functionality
of Konqueror (web browser and file manager), noatun (media player),
Kate (text editor), Kicker, knewsticker.

%changelog
* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-1
- kde-3.5.4

* Wed Jun 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-2
- cleanup for Extras
- %%doc: README, app docs (README, TODO, etc...)
- follow icon spec
- BR: desktop-file-utils

* Tue Jun 06 2006 Than Ngo <than@redhat.com> 3.5.3-2
- BR on libtool, automake
Comment 1 Rex Dieter 2006-07-26 10:30:56 EDT
This has a good chance of making FE/fc6.
Comment 2 Aurelien Bompard 2006-10-30 02:45:48 EST
Package Reviewed :
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdeaddons-3.5.5-2.src.rpm)

* RPM name is OK
* Source kdeaddons-3.5.5.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of kdeaddons looks OK
* rpmlint of kdeaddons-atlantikdesigner looks OK
* rpmlint of kdeaddons-xmms looks OK
* File list of kdeaddons looks OK
* File list of kdeaddons-atlantikdesigner looks OK
* File list of kdeaddons-xmms looks OK
* Config files of kdeaddons looks OK
* Works as expected

Needs work:
* The package should contain the text of the license (wiki:
Packaging/ReviewGuidelines). It's in the COPYING-DOCS file.
* Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop) (not sure it is really required, but IIRC
it's needed to appear in the menu)

Notes:
* Desktop file: the Categories tag should not contain X-Fedora any more. It's
harmless, but remember to remove it in the future.
Comment 3 Rex Dieter 2006-11-06 16:26:01 EST
Thanks, I'll fix things up shortly.  (Though X-Fedora .desktop category is not
required anymore, I'll have to check the Application bit too).
Comment 4 Rex Dieter 2007-02-13 07:30:45 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeaddons.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdeaddons-3.5.6-2.src.rpm

%changelog 
* Thu Jan 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.6-2
- upstream privacy patch

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.6-1
- kde-3.5.6
Comment 5 Ngo Than 2007-02-27 10:09:30 EST
i have merged the changes, added subpackage -extras and removed -xmms and
-atlantikdesigner.

It's already commited into CVS. The new kdeaddon-3.5.6-2.fc7 is built in rawhide.
Comment 6 Rex Dieter 2007-03-04 17:06:16 EST
Not approved (afaict), reopening.
Comment 7 Rex Dieter 2007-03-05 13:20:19 EST
Aurelien?  review status?
Comment 8 Aurelien Bompard 2007-03-06 08:54:25 EST
Needs work:
* The package should contain the text of the license (COPYING-DOCS)
  (wiki: Packaging/ReviewGuidelines)
* Scriptlets: missing "Require(post): xdg-utils" and "Require(postun):
xdg-utils" (on kdeaddons and kdeaddons-atlantikdesigner)
* As kdeaddons ships icons in the hicolor directory, it should have "Requires:
hicolor-icon-theme" (for both binary packages also)
https://www.redhat.com/archives/fedora-extras-list/2006-September/msg00282.html

Details:
* mixed-use-of-spaces-and-tabs (spaces: line 97, tab: line 5)
* privacy patch is chmod 744
Comment 9 Rex Dieter 2007-03-06 13:28:56 EST
Re: Requires: hicolor-icon-theme
kdelibs already has that Requires, imo, it would be hugely redundant to have 
every kde apps Requires: it too.
Comment 10 Rex Dieter 2007-03-06 13:33:20 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeaddons.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdeaddons-3.5.6-3.src.rpm

%changelog
* Tue Mar 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.6-3
- +%%doc COPYING-DOCS
- +Requires(post,postun): xdg-utils
Comment 11 Aurelien Bompard 2007-03-07 02:17:50 EST
Review for release 3.fc6:
* RPM name is OK
* Source kdeaddons-3.5.6.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlints look OK
* File lists look OK
* Works OK
(39 automatic checks have been run by fedora-qa)

APPROVED
Comment 12 Ngo Than 2007-03-07 10:13:31 EST
i have committed the changes into CVS. Please take a look at 
kdeaddons-3_5_6-3_fc7. Thanks
Comment 13 Rex Dieter 2007-03-07 10:17:44 EST
Reopened (not merged yet).
Comment 14 Ngo Than 2007-03-07 11:07:29 EST
rex, what is still missing?
Comment 15 Rex Dieter 2007-03-07 11:17:06 EST
missing: kde packages moved/merged into external cvs.
Comment 16 Aurelien Bompard 2007-03-08 04:13:29 EST
Please note that %config files in /usr will soon be disallowed :
http://fedoraproject.org/wiki/PackagingDrafts/UsrConfigs
Comment 17 Rex Dieter 2007-03-08 07:46:07 EST
KDE is a reasonable exception to that new policy.

Note You need to log in before you can comment on or make changes to this bug.